package com.keyware.shandan.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.keyware.shandan.beans.ClientDetailVo;
import com.keyware.shandan.mapper.ClientDetailMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Administrator
 */
@Service
public class ClientDetailService extends ServiceImpl<ClientDetailMapper, ClientDetailVo> {

    /**
     * 查询需要单点登出的客户端集合
     *
     * @return 客户端集合
     */
    public List<ClientDetailVo> getByLogoutClients() {
        QueryWrapper<ClientDetailVo> query = new QueryWrapper<>();
        query.isNotNull("LOGOUT_URI");
        return list(query);
    }
}
